#
# spec file for package blackbox (Version 0.61.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         blackbox
Copyright:    Free
Group:        X11/Window Managers
Provides:     windowmanager blackbox
Autoreqprov:  on
Version:      0.61.1
Release:      140
Summary:      The Blackbox Window Manager
Url:          http://blackbox.alug.org/
Source:       blackbox-%{version}.tar.bz2
Patch:        no_backup_styles.patch
Patch1:       blackbox.newgcc.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Blackbox is a window manager. It is small, fast and stable.

Start it by typing

startx blackbox

The bbtools package can be recommended together with this package

Authors:
--------
    Brad Hughes <bhughes@tcac.net>

SuSE series: xwm

%prep
%setup
%patch
%patch1 -p1

%build
%{suse_update_config -f}
aclocal
automake -a
autoconf
CFLAGS=$RPM_OPT_FLAGS ./configure \
                       --prefix=/usr \
                       --exec-prefix=/usr/X11R6 \
            		       --mandir=%{_mandir} \
                       --with-x --enable-kde
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* LICENSE README* TODO
/usr/X11R6/bin/*
/usr/share/Blackbox
%{_mandir}/man1/*

%changelog -n blackbox
* Thu Aug 02 2001 - mmj@suse.de
- Added windowmanager to Provides:
* Mon Apr 02 2001 - mmj@suse.de
- Fixed to build on axp and gcc3
* Wed Nov 22 2000 - cihlar@suse.cz
- no_backup_styles.patch returned
* Mon Nov 13 2000 - mmj@suse.de
- update to version 0.61.1
* Fri Oct 06 2000 - cihlar@suse.cz
- update to version 0.61.0
* Wed Aug 16 2000 - cihlar@suse.cz
- update to version 0.60.3
- added BuildRoot
* Fri Jun 02 2000 - kukuk@suse.de
- Use doc macro
* Sun Jan 30 2000 - ro@suse.de
- fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Dec 08 1998 - maddin@suse.de
- new SuSE version 0.40
